### Signal

# Gio MountOperation::ask-password

#### Declaration

    void
    ask_password (
      GMountOperation* self,
      gchar* message,
      gchar* default_user,
      gchar* default_domain,
      GAskPasswordFlags flags,
      gpointer user_data
    )

#### Description

Emitted when a mount operation asks the user for a password.

If the message contains a line break, the first line should be presented as a heading. For example, it may be used as the primary text in a `GtkMessageDialog`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`message`

  Type: `gchar*`

  String containing a message to display to the user.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_user`

  Type: `gchar*`

  String containing the default user name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_domain`

  Type: `gchar*`

  String containing the default domain.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GAskPasswordFlags`

  A set of `GAskPasswordFlags`.